%global npm_name assign-symbols
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.0
Release: %mkrel 3
Summary: Assign the enumerable es6 Symbol properties
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/assign-symbols
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
Assign the enumerable es6 Symbol properties from an object (or objects) to
the first object passed on the arguments.

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-3.mga8
+ Revision: 1502397
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1280157
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 1.0.0-1.mga7
+ Revision: 1225270
- Update Summary and description
- imported package nodejs-assign-symbols

